<?

if (isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && !ereg('(rules)|(smiles)|(secure)|(aut)|(reg)|(umenu)|(zakl)|(mail)|(anketa)|(settings)|(avatar)|(info)\.php',$_SERVER['SCRIPT_NAME']))
$_SESSION['refer']=NULL;

function otkuda($ref)
{
if (eregi('^/forum/',$ref))
$mesto='Форум';
elseif (eregi('^/chat/',$ref))
$mesto='Чат';
elseif (eregi('^/lib/',$ref))
$mesto='Библиотека';
elseif (eregi('^/news/',$ref))
$mesto='Новости';
elseif (eregi('^/adm_panel/',$ref))
$mesto='Админка';
elseif (eregi('^/votes/',$ref))
$mesto='Голосования';
elseif (eregi('^/guest/',$ref))
$mesto='Гостевая';
elseif (eregi('^/loads/',$ref))
$mesto='Загрузки';
elseif (eregi('^/users\.php',$ref))
$mesto='Пользователи';
elseif (eregi('^/online\.php',$ref))
$mesto='Сейчас на сайте';
elseif (eregi('^/online_g\.php',$ref))
$mesto='Гости';
elseif (eregi('^/reg\.php',$ref))
$mesto='Регистрация';
elseif (eregi('^/obmen/',$ref))
$mesto='Обменник';
elseif (eregi('^/aut\.php',$ref))
$mesto='Авторизация';
elseif (eregi('^/index\.php',$ref))
$mesto='Главная';
elseif (eregi('^/\??$',$ref))
$mesto='Главная';
else
$mesto=false;
return $mesto;
}


?>